1. Task
Autozod
  • Agent
    • Create Agent
      POST
    • Update Agent On Duty Status
      POST
    • Update Agent Location
      POST
    • Search
      POST
    • Delete Agent
      POST
    • List Agents
      GET
  • Agent Comissions
    • List agent commissions
      GET
  • Language Translations
    • Update language translations
      POST
  • Task
    • Create Tasks
      POST
    • Update Task
      POST
    • List Tasks
      GET
    • Delete Task
      POST
    • Update Task Status
      POST
    • Assign Agent
      POST
    • Task Reset
      POST
    • Send notification
      POST
  • ⚙️Settings
    • Team Settings
      POST
    • Team Settings
      GET
    • Get Language Settings
      GET
  • Webhooks
    • Create Webhook
      POST
  • Agent Session
    • Get Logs
      GET
    • Get Active Hours
      GET
  1. Task

Create Tasks

POST
{{host}}/api/task/create

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request POST 'https://www.autozod.app/api/task/create' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "team_id": 1000,
    "order_id": "1030",
    "mercant_id": "2",
    "items": [
        {
            "name": "Kawab",
            "quantity": 4
        },
        {
            "name": "Paratha",
            "quantity": 2
        }
    ],
    "pickup": {
        "pickup_timestamp": "2024-02-27 23:55:00",
        "description": "",
        "name": "OnlineKaka nature",
        "contact": "7505800400",
        "email": "1demo@gmail.com",
        "location": {
            "type": "Point",
            "coordinates": [
                "80.9765",
                "26.8470"
            ]
        },
        "address": {
            "full_address": "Hazratganj Lucknow Lucknow Uttar Pradesh 226006",
            "city": "Lucknow",
            "state": "Uttar Pradesh",
            "country": "India",
            "country_code": "IN"
        }
    },
    "drop": {
        "drop_timestamp": "2024-02-27 23:59:00",
        "description": "",
        "name": "Hyperzod testing",
        "contact": "8573867986",
        "email": "azeemmohammad377@gmail.com",
        "location": {
            "type": "Point",
            "coordinates": [
                80.94627665321279,
                26.84675802346325
            ]
        },
        "address": {
            "full_address": "C-773, Mahanagar Extension, Shadab Colony, Mahanagar, Lucknow, Uttar Pradesh 226006, India Lucknow Uttar Pradesh 226006",
            "city": "Lucknow",
            "state": "Uttar Pradesh",
            "country": "India",
            "country_code": "IN"
        }
    },
    "is_pickup_proof_required": true
}'
Response Response Example
{}
Modified at 2025-04-28 07:43:40
Previous
Update language translations
Next
Update Task
Built with